JavaScript
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
const approvalGrants = await client.approvalGrants.listForThread('agent_abc123', 'thread_abc123');
console.log(approvalGrants);import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
approval_grants = client.approval_grants.list_for_thread(
agent_id="agent_abc123",
thread_id="thread_abc123",
)
print(approval_grants)package main
import (
"context"
"fmt"
"github.com/matrices/cerca-go"
"github.com/matrices/cerca-go/option"
)
func main() {
client := cercago.NewClient(
option.WithAPIKey("My API Key"),
)
approvalGrants, err := client.ApprovalGrants.ListForThread(
context.TODO(),
"agent_abc123",
"thread_abc123",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", approvalGrants)
}require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
approval_grants = cerca.approval_grants.list_for_thread("agent_abc123", "thread_abc123")
puts(approval_grants)cerca approval-grants list-for-thread \
--api-key 'My API Key' \
--agent-id agent_abc123 \
--thread-id thread_abc123curl --request GET \
--url https://api.cerca.dev/agents/{agentId}/threads/{threadId}/approval-grants \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cerca.dev/agents/{agentId}/threads/{threadId}/approval-grants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.cerca.dev/agents/{agentId}/threads/{threadId}/approval-grants")
.header("Authorization", "Bearer <token>")
.asString();[
{
"createdAt": "<string>",
"createdBy": "<string>",
"expiresAt": "<string>",
"grantKey": "<string>",
"id": "<string>"
}
]{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}Approvals
List approval grants
GET
/
agents
/
{agentId}
/
threads
/
{threadId}
/
approval-grants
JavaScript
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
const approvalGrants = await client.approvalGrants.listForThread('agent_abc123', 'thread_abc123');
console.log(approvalGrants);import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
approval_grants = client.approval_grants.list_for_thread(
agent_id="agent_abc123",
thread_id="thread_abc123",
)
print(approval_grants)package main
import (
"context"
"fmt"
"github.com/matrices/cerca-go"
"github.com/matrices/cerca-go/option"
)
func main() {
client := cercago.NewClient(
option.WithAPIKey("My API Key"),
)
approvalGrants, err := client.ApprovalGrants.ListForThread(
context.TODO(),
"agent_abc123",
"thread_abc123",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", approvalGrants)
}require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
approval_grants = cerca.approval_grants.list_for_thread("agent_abc123", "thread_abc123")
puts(approval_grants)cerca approval-grants list-for-thread \
--api-key 'My API Key' \
--agent-id agent_abc123 \
--thread-id thread_abc123Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
1Example:
"agent_abc123"
Minimum string length:
1Example:
"thread_abc123"
⌘I